Bug Hunting Session
Bug 119022 - Image missing with special paste RTF for Image with caption
Summary: Image missing with special paste RTF for Image with caption
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: RTF-Paste
  Show dependency treegraph
 
Reported: 2018-07-31 17:24 UTC by Telesto
Modified: 2019-08-07 04:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (69.31 KB, application/vnd.oasis.opendocument.text)
2018-07-31 17:24 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-07-31 17:24:11 UTC
Description:
Image missing with special paste RTF for Image with caption

Steps to Reproduce:
1. Open attached file
2. CTRL+A + CTRL+C
3. Open a New document
4. Special Paste RTF (CTRL+SHIFT+V)

Actual Results:
Empty frame

Expected Results:
Same as source


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.0.0.alpha0+
Build ID: 1b21ff86effe58ae368457de8fec654ba4c8edd9
CPU threads: 4; OS: Windows 6.3; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-07-30_03:13:35
Locale: nl-NL (nl_NL); Calc: CL

and partial working in
LibreOffice 3.5.7.2 
Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
Comment 1 Telesto 2018-07-31 17:24:29 UTC
Created attachment 143857 [details]
Example file
Comment 2 Xisco Faulí 2018-08-01 22:25:39 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ba9b63d8101197d3fd8612193b1ca188271dfc1a

author	Michael Stahl <mstahl@redhat.com>	2014-06-13 14:47:05 +0200
committer	Michael Stahl <mstahl@redhat.com>	2014-06-13 15:27:02 +0200
commit	ba9b63d8101197d3fd8612193b1ca188271dfc1a (patch)
tree	4ac56f3d9bbe6f1d54c6982fad3e7ef207ae5907
parent	b7857e5cfe9d5d007785ae93e5505620fc8ed475 (diff)
fdo#76633: writerfilter: RTF import: do not leak the XShape of image

Bisected with: bibisect-44max

Adding Cc: to Michael Stahl
Comment 3 Jacek Frączek 2018-08-06 05:55:07 UTC
It seems the picture shape is treated as fake picture and it's content is ignored.

In RTF, shapeType is set to ESCHER_ShpInst_TextBox (202) and that value is taken when parsing \shppict and \pict and \picprop

{\shp 
    {\*\shpinst\shpwr2\shpwrk3\shpbypara\shpbyignore\shptop-1790\shpbottom1791\shpbxcolumn\shpbxignore\shpleft0\shpright4708
        {\sp{\sn shapeType}{\sv 202}}
        {\sp {\sn dxWrapDistLeft}{\sv 0}}
        {\sp {\sn dxWrapDistRight}{\sv 0}}
        {\sp {\sn dyWrapDistTop}{\sv 0}}
        {\sp {\sn dyWrapDistBottom}{\sv 0}}
        {\sp {\sn posrelv}{\sv 2}}
        {\sp {\sn posv}{\sv 2}}
        {\sp {\sn posrelh}{\sv 2}}
        {\sp {\sn dxTextLeft}{\sv 635}}
        {\sp {\sn dyTextTop}{\sv 635}}
        {\sp {\sn dxTextRight}{\sv 635}}
        {\sp {\sn dyTextBottom}{\sv 635}}
        {\shptxt\pgndec\s19\ql\nowidctlpar\hyphpar0\...   ...\sb120\sa120
            {\rtlch \ltrch\rtlch \ltrch
                {\*\shppict
                    {\pict
                        {\*\picprop
                            {\sp {\sn wzDescription}{\sv}}
                            {\sp {\sn wzName}{\sv}}
                        }
                    \picscalex75\\... ... \picw313\pich208\picwgoal6260\pichgoal4219\jpegblipffd8ffe000104a46494...
                    }
                }
Comment 4 QA Administrators 2019-08-07 04:45:55 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug